complexType "NotificationMessageHeader"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 10 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | messageId?, inReplyTo?, sentBy?, sendTo*, copyTo*, creationTimestamp?, expiryTimestamp?, implementationSpecification?, partyMessageInformation*, dsig:Signature*
</...>

Content Model Elements (10):

  copyTo,
  creationTimestamp,
  dsig:Signature,
  expiryTimestamp,
  implementationSpecification,
  inReplyTo (in header defined in NotificationMessage complexType),
  messageId,
  partyMessageInformation,
  sendTo,
  sentBy

All Direct / Indirect Based Elements (1):

  header (defined in NotificationMessage complexType)

Known Usage Locations

- As direct type of elements (1):
  header (defined in NotificationMessage complexType)

Annotation
A type that refines the generic message header to match the requirements of a NotificationMessage.
Type Definition Detail

Type Derivation Tree MessageHeader (extension) NotificationMessageHeader

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="NotificationMessageHeader"> <xsd:complexContent> <xsd:extension base="MessageHeader"> <xsd:sequence> <xsd:element minOccurs="0" name="inReplyTo" type="MessageId"/> <xsd:group ref="MessageHeader.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/10)
inReplyTo

  Type: | MessageId, simple content

  A copy of the unique message identifier (within it own coding scheme) to which this message is responding.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="inReplyTo" type="MessageId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.